<% Dim rsf
If saferequest("userid")<>"" Then 
shopid=decode(saferequest("userid"))
End if
Set rsf = Server.CreateObject("ADODB.Recordset")
sql="select * from fukuan where userid ="&shopid&""
rsf.open sql,conn,1,1
if Not rsf.eof and Not rsf.bof then
maijia=rsf("maijia")
amount=rsf("amount")
amount1=rsf("amount1")
amount2=rsf("amount2")

fw=rsf("fw")
fahuofangshi=rsf("fahuofangshi")
shouhuosj=rsf("shouhuosj")
zhifubao=rsf("zhifubao")
zhifubaoid=rsf("zhifubaoid")
zhifubaojiaoyanma=rsf("zhifubaojiaoyanma")
wangyinzaixian=rsf("wangyinzaixian")
wangyinzaixianid=rsf("wangyinzaixianid")
wangyinzaixianjiaoyanma=rsf("wangyinzaixianjiaoyanma")
xibuzhifu=rsf("xibuzhifu")
xibuzhifuid=rsf("xibuzhifuid")
visa=rsf("visa")
visaid=rsf("visaid")
visaname=rsf("visaname")
visadizhi=rsf("visadizhi")
egold=rsf("egold")
egoldaccount=rsf("egoldaccount")
egoldname=rsf("egoldname")
youjuhuikuan=rsf("youjuhuikuan")
huikuandizhi=rsf("huikuandizhi")
huikuanname=rsf("huikuanname")
youbian=rsf("youbian")
jiaotongyinhang=rsf("jiaotongyinhang")
jiaotongyinhangid=rsf("jiaotongyinhangid")
jiaotongyinhangname=rsf("jiaotongyinhangname")
jiaotongyinhangdizhi=rsf("jiaotongyinhangdizhi")
zhaoshangyinhang=rsf("zhaoshangyinhang")
zhaoshangyinhangid=rsf("zhaoshangyinhangid")
zhaoshangyinhangname=rsf("zhaoshangyinhangname")
zhaoshangyinhangdizhi=rsf("zhaoshangyinhangdizhi")
gongshangyinhang=rsf("gongshangyinhang")
gongshangyinhangid=rsf("gongshangyinhangid")
gongshangyinhangname=rsf("gongshangyinhangname")
gongshangyinhangdizhi=rsf("gongshangyinhangdizhi")
zhongguoyinhang=rsf("zhongguoyinhang")
zhongguoyinhangid=rsf("zhongguoyinhangid")
zhongguoyinhangname=rsf("zhongguoyinhangname")
zhongguoyinhangdizhi=rsf("zhongguoyinhangdizhi")
nongyeyinhang=rsf("nongyeyinhang")
nongyeyinhangid=rsf("nongyeyinhangid")
nongyeyinhangname=rsf("nongyeyinhangname")
nongyeyinhangdizhi=rsf("nongyeyinhangdizhi")
jiansheyinhang=rsf("jiansheyinhang")
jiansheyinhangid=rsf("jiansheyinhangid")
jiansheyinhangname=rsf("jiansheyinhangname")
jiansheyinhangdizhi=rsf("jiansheyinhangdizhi")

If maijia=1 Then
mai="卖家承担运费"
Else
mai="买家承担运费"
End if
%>
<%function fukuan()
If rsf("zhifubao")<>empty Then response.write "<input name=pay type=radio value=支付宝><img src=image/zhifubao.gif>" End If
If rsf("wangyinzaixian")<>empty Then response.write "<input name=pay type=radio value=网银在线><img src=image/wangyinlogo.gif>&nbsp;&nbsp;" End if
If rsf("egold")<>empty Then response.write "<input name=pay type=radio value=E-gold><img src=image/egold.gif>&nbsp;&nbsp;"end if
If rsf("youjuhuikuan")<>empty Then response.write "<input name=pay type=radio value=邮局汇款><img src=image/post.gif>&nbsp;&nbsp;" End if
If rsf("jiaotongyinhang")<>empty Then response.write "<input name=pay type=radio value=交通银行><img src=image/bank_jt.gif>&nbsp;&nbsp;" End if
If rsf("zhaoshangyinhang")<>empty Then response.write "<input name=pay type=radio value=招商银行><img src=image/bank_cmb.gif>&nbsp;&nbsp;" End if
If rsf("zhongguoyinhang")<>empty Then response.write "<input name=pay type=radio value=中国银行><img src=image/bank_headbg.gif>&nbsp;&nbsp;" End if
If rsf("jiansheyinhang")<>empty Then response.write "<input name=pay type=radio value=建设银行><img src=image/bank_ccb.gif>&nbsp;&nbsp;" End if
If rsf("nongyeyinhang")<>empty Then response.write "<input name=pay type=radio value=农业银行><img src=image/bank_abc.gif>&nbsp;&nbsp;" End if
If rsf("gongshangyinhang")<>empty Then response.write "<input name=pay type=radio value=工商银行><img src=image/bank_cbc.gif>&nbsp;&nbsp;" End if
If rsf("visa")<>empty Then response.write "<input name=pay type=radio value=VISA><img src=image/bank_visa.gif>" End if
end function
%>
<%function fukuan1()
If rsf("zhifubao")<>empty Then response.write "<img src=image/zhifubao.gif>&nbsp;&nbsp;" End If
If rsf("wangyinzaixian")<>empty Then response.write "<img src=image/wangyinlogo.gif>&nbsp;&nbsp;" End If 
If rsf("egold")<>empty Then response.write "<img src=image/egold.gif>&nbsp;&nbsp;"end if
If rsf("youjuhuikuan")<>empty Then response.write "<img src=image/post.gif>" End if
If rsf("jiaotongyinhang")<>empty Then response.write "<img src=image/bank_jt.gif>&nbsp;&nbsp;" End if
If rsf("zhaoshangyinhang")<>empty Then response.write "<img src=image/bank_cmb.gif>&nbsp;&nbsp;" End if
If rsf("zhongguoyinhang")<>empty Then response.write "<img src=image/bank_headbg.gif>&nbsp;&nbsp;" End if
If rsf("jiansheyinhang")<>empty Then response.write "<img src=image/bank_ccb.gif>&nbsp;&nbsp;" End if
If rsf("nongyeyinhang")<>empty Then response.write "<img src=image/bank_abc.gif>&nbsp;&nbsp;" End if
If rsf("gongshangyinhang")<>empty Then response.write "<img src=image/bank_cbc.gif>&nbsp;&nbsp;" End if
If rsf("visa")<>empty Then response.write "<img src=image/bank_visa.gif>&nbsp;&nbsp;" End if
end function
%>

<%function fukuan2()
response.write"<table width=100% border=0 cellspacing=0 cellpadding=0><tr><td>配送范围："&fw&"</td><td>配送方式："&fahuofangshi&"</td></tr><tr>    <td>预计收货时间"&shouhuosj&"</td><td>配送费用："&mai&"</td></tr></table>"
end function%>

<%function fukuan3()
response.write"<table width=100% border=0 cellspacing=0 cellpadding=0><tr><td width='33%'>EMS："&amount&"元</td><td width='33%'>平邮："&amount1&"元</td><td width='33%'>快递："&amount2&"元</td></tr></table>"
end function%>
<%function fukuan4()
response.write"<table width=100% border=0 cellspacing=0 cellpadding=0><tr><td width='33%'><input name=feiyong type=radio value=EMS>EMS："&amount&"元</td><td width='33%'><input name=feiyong type=radio value=平邮>平邮："&amount1&"元</td><td width='33%'><input name=feiyong type=radio value=快递>快递："&amount2&"元</td></tr></table>"
end function%>
<%
Else
rsf.close
set rsf=Nothing
end if
%>
